Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.xff
Class PropertyWriter

    java.lang.Object
      org.biojava.bio.program.xff.BasicXFFHelper
          org.biojava.bio.program.xff.PropertyWriter

All Implemented Interfaces:
  XFFHelper

    public class PropertyWriter

extends BasicXFFHelper

Author:
  Thomas Down

Constructor Summary
`PropertyWriter()`

Method Summary
`void` | `writeDetails(XMLWriter xw, Feature f)`

Methods inherited from class org.biojava.bio.program.xff.BasicXFFHelper
`getFeatureID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyWriter

    public PropertyWriter()

Method Detail

### writeDetails

    public void writeDetails(XMLWriter xw,
                             Feature f)
                      throws IOException

  Specified by:
    `writeDetails` in interface `XFFHelper`
  Overrides:
    `writeDetails` in class `BasicXFFHelper`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD